<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <header> 
        <h1>My Accounts</h1>
        <a href="{% url 'create_account' %}">Create Account</a>
    </header>
        <main>
        <table>
            <thead>
                <th>Name</th>
                <th>Number</th>
                <th>Number of receipts</th>
            </thead>
            <tbody>
                {% for account in account_object %}
                <tr>
                    <td>{{ account.name }}</td>
                    <td>{{ account.number }}</td>
                    <td>{{ account.receipts|length }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        </main>
</body>
</html>